Subject: Re: BufferedEventHandling

From: Chip Sharp <[email-masked]>
Date: Fri, 28 Jan 2000 18:27:43 -0500

It was never proven that the previous status was broken.

There was a change in this  text between the output of SG16 in Red Bank
(TD58) and the white contribution (which became v12).

There was a comprehensive reworking of event handling in v13.

We are evaluating the current event handling mechanism and will provide
further comment when completed.

Chip

At 08:55 AM 1/28/00 -0500, Tom-PT Taylor wrote:

>I think the onus is on you at this point to show that the current text is
>broken.
>-----Original Message----- From:  Chip Sharp [SMTP:[email-masked]]
>Sent:  Thursday, January 27, 2000 4:31 PM To:    Taylor, Tom-PT
>[CAR:B904:EXCH]; [email-masked] Subject:       Re:
>BufferedEventHandling
>
>I disagreed with what I heard at the design team meeting at the meeting. I
>am proposing we keep what we have had for several months before the
>Washington meeting rather than replace it with a whole new mechanism.
>
>Chip
>
>At 12:44 PM 1/27/00 -0500, Tom-PT Taylor wrote:
>
> >Event handling received a LOT of discussion in Washington.  The
> existing >text dates from there; I can't see revisiting the
> issue. >-----Original Message-----  From:   Chip
> Sharp >[SMTP:[email-masked]]  Sent:   Tuesday, January 25, 2000
> 6:23 >PM  To:     [email-masked]
> Subject: >BufferedEventHandling > >Section:        7.1.7  Category:
> Technical, Open >Issue  Issue:          At the end of the Red Bank
> meeting, Section 7.1.7 >on  LocalControlDescriptor (Section 7.1.8 in
> TD-58 from the Red Bank >meeting  [3]), contained the following text:
> "The TerminationBuffered >parameter  describes actions taken by the MG
> when events are not >immediately notified  to
> the >controller.  1.      BufferedEventProcessingMode  specifies
> whether >buffered events should be  processed (Process) or
> discarded >(Discard)  2.      BufferedEventNotificationMode  specifies
> whether the >Media Gateway is  expected to detect the requested event and
> notify the >controller once (step  by step) or repeatedly (Loop).  The
> white >contribution does not contain this text which constitutes
> a  significant >technical change to the operation of event detection
> and  notification >which we strongly disagree
> with.  Discussion:             It is >recommended that the above deleted
> text is added to  Section 7.1.7 again. > >v13 Status:     WIDE OPEN. Text
> still missing. Extensive modification of >entire  event processing has
> taken place. > >Section:        7.2.7, second last
> paragraph  Category:       Technical, >Open Issue  Issue:          The
> draft text specifies that "If the >BufferedEventProcessingMode  parameter
> of the Termination is set to >"Discard", then the list shall  contain
> only the event that triggered the >notification".  This constitutes a
> significant technical change to the >operation of event  detection as
> indicated earlier for Section 7.1.7. The >text was not present  at the
> end of the Red Bank meeting [3], nor should >it be. Furthermore,
> the  text does not seem to make much sense; if an >event is not to be
> reported,  then it is simply not included in the >EventsDescriptor. This
> relates to the  removal of the >BufferedEventNotificationMode which
> should not have >happened.  Discussion:     It is strongly recommended
> that the >specification on event  buffering concerning both notification
> and >processing is revisited and  brought back in line with the outcome
> of the >Red Bank meeting. > >v13 Status:     OPEN. Although the text has
> been removed, it is part of >an  extensive modification of the entire
> event handling
> mechanism. > >Support >NetAid!
> <<http://www.netaid.org>http://www.netaid.org>http://www.netaid.org >-----
> ---------------------------------------------  Chip >Sharp
 >  Consulting Engineering  Cisco >Systems              Telco
> Bio-region  Reality - Love it or
> Leave >it.  --------------------------------------------------  Support
> NetAid! <http://www.netaid.org>http://www.netaid.org
> -------------------------------------------------- Chip
> Sharp                 Consulting Engineering Cisco
> Systems              Telco Bio-region Reality - Love it or Leave
> it.                  --------------------------------------------------

Support NetAid!  http://www.netaid.org
--------------------------------------------------
Chip Sharp                 Consulting Engineering
Cisco Systems              Telco Bio-region
Reality - Love it or Leave it.
--------------------------------------------------